package com.yihu.jw.restmodel.hospital.consult;

import com.yihu.jw.restmodel.UuidIdentityVOWithOperator;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;


/**
 * 
 * 互联网医院功能业务字典及开关设置表vo
 * 
 * @version 
 * <pre>
 * Author	Version		Date		Changes
 * Administrator 	1.0  2019年05月16日 Created
 *
 * </pre>
 * @since 1.
 */
@ApiModel(value = "WlyyHospitalSysDictVO", description = "互联网医院功能业务字典及开关设置表")
public class WlyyHospitalSysDictVO extends UuidIdentityVOWithOperator {

    /**
	 * 
	 */
	@ApiModelProperty(value = "", example = "模块1")
    private String saasId;

    /**
	 * 所属字典
	 */
	@ApiModelProperty(value = "所属字典", example = "模块1")
    private String dictName;

    /**
	 * 字典项代码
	 */
	@ApiModelProperty(value = "字典项代码", example = "模块1")
    private String dictCode;

    /**
	 * 字典项所属值
	 */
	@ApiModelProperty(value = "字典项所属值", example = "模块1")
    private String dictValue;

    /**
	 * 拼音缩写码
	 */
	@ApiModelProperty(value = "拼音缩写码", example = "模块1")
    private String pyCode;

    /**
	 * 排序
	 */
	@ApiModelProperty(value = "排序", example = "模块1")
    private Integer sort;

    /**
	 * 归属社区CODE
	 */
	@ApiModelProperty(value = "归属社区CODE", example = "模块1")
    private String hospital;


    public String getSaasId() {
        return saasId;
    }
    public void setSaasId(String saasId) {
        this.saasId = saasId;
    }

    public String getDictName() {
        return dictName;
    }
    public void setDictName(String dictName) {
        this.dictName = dictName;
    }

    public String getDictCode() {
        return dictCode;
    }
    public void setDictCode(String dictCode) {
        this.dictCode = dictCode;
    }

    public String getDictValue() {
        return dictValue;
    }
    public void setDictValue(String dictValue) {
        this.dictValue = dictValue;
    }

    public String getPyCode() {
        return pyCode;
    }
    public void setPyCode(String pyCode) {
        this.pyCode = pyCode;
    }

    public Integer getSort() {
        return sort;
    }
    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getHospital() {
        return hospital;
    }
    public void setHospital(String hospital) {
        this.hospital = hospital;
    }


}